/*
 * @Date: 2025-07-01 13:15:50
 * @Author: mypx
 * @LastEditors: mypx mypx_coder@163.com
 * @LastEditTime: 2025-08-19 08:28:13
 * @FilePath: sv_common.c
 * @Description: 
 * Copyright (c) 2025 by mypx, All Rights Reserved.
 */
#include "sv_common.h"

int sv630p_init(sv630p_handle_t *dev, sv630p_ops_t *ops, void *mb)
{
    if ((dev == NULL) || (ops == NULL) || (mb == NULL))
    {
        return -1;
    }
    dev->ops       = ops;
    dev->mb_handle = mb;
    dev->init      = true;

    return 0;
}


